import { getStorage, setStorage, removeStorage } from '@/lib/storage'
// import store from '@/store/index.js'

const state = {
	token: '111',
	userInfo: ''
}

const mutations = {
	SETTOKEN(state, token){
		state.token = token
	},
	SETUSERINFO(state, userInfo){
		state.userInfo = userInfo
	},
	LOGOUT(state){
		state.token = ''
		state.userInfo = ''
	}
}

const actions = {
	setToken: ({commit}, token) => {
		commit('SETTOKEN', token)
		setStorage('token',token)
	},
	setUserInfo: ({commit}, userInfo) => {
		commit('SETUSERINFO', userInfo)
		setStorage('userInfo',userInfo)
	},
	logout: ({commit})=>{
		commit('LOGOUT')
		removeStorage('token')
		removeStorage('userInfo')
	}
}

export default {
    namespaced: true, 
    state,
	mutations,
	actions
}