import { isFunction } from "@/utils/types.js"
import Toast from "@/lib/toast/index.js"
import store from "@/store/index.js"
/**
 * @desc 倒计时
 * @param { Number } num 倒计时时间
 * @param { Functiom } cb 回调 
 */
export function timerFn(num = 60, cb) {
	let timer = setInterval(() => {
		cb && isFunction(cb) && cb.call(this, num)
		num --
		if(num < 0) {
			clearInterval(timer)
			timer = null
			return
		}
	}, 1000)
}

/**
 * @desc 检查登录
 * @param { Function } cb  
 */
export function checkLogin(cb) {
	if(!store.state.user.token) return Toast({title: '您尚未登录，请先登录', cb: () => {
		uni.navigateTo({
			url: '/pages/login/index'
		})
	}})
	cb && isFunction(cb) && cb()
}
